Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Class ClickableExtensionImpl

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.navi.ClickableExtensionImpl

All Implemented Interfaces:
  Extension, ClickableExtension

    public class ClickableExtensionImpl

extends ExtensionSupport
implements ClickableExtension

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.ClickableExtension
`ID`

Constructor Summary
`ClickableExtensionImpl()`

Method Summary
`java.util.Collection` | `getClickables()` List of ClickableMember
`java.lang.String` | `getId()` Returns the id.
`void` | `setClickables(java.util.Collection clickables)` List of ClickableMember

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, modelInitialized, setModel`

Constructor Detail

### ClickableExtensionImpl

    public ClickableExtensionImpl()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from class: `ExtensionSupport`
  Returns the id.

  Specified by:
    `getId` in interface `Extension`
  Overrides:
    `getId` in class `ExtensionSupport`
  Returns:
    String

### getClickables

    public java.util.Collection getClickables()

  Description copied from interface: `ClickableExtension`
  List of ClickableMember

  Specified by:
    `getClickables` in interface `ClickableExtension`
  See Also:
    `ClickableMember`

### setClickables

    public void setClickables(java.util.Collection clickables)

  Description copied from interface: `ClickableExtension`
  List of ClickableMember

  Specified by:
    `setClickables` in interface `ClickableExtension`
  See Also:
    `ClickableMember`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD